"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableauRequestSender = void 0;
require("reflect-metadata");
const inversify_1 = require("inversify");
const superagent = require("superagent");
let TableauRequestSender = class TableauRequestSender {
    async getTableau(url, auth) {
        return (await superagent
            .get(url)
            .set("X-Tableau-Auth", auth)
            .set("Content-Type", "application/json")
            .set("Accept", "application/json")
            .send()).body;
    }
    async getTableauQueryUsers(url, auth, pageNumber, pageSize) {
        return (await superagent
            .get(url)
            .set("X-Tableau-Auth", auth)
            .set("Content-Type", "application/json")
            .set("Accept", "application/json")
            .query({ pageNumber, pageSize })
            .send()).body;
    }
    async signinTableau(url, data) {
        return (await superagent
            .post(url)
            .set("Content-Type", "application/json")
            .set("Accept", "application/json")
            .type("json")
            .send(data)).body;
    }
    async postTableau(url, auth, data) {
        return (await superagent
            .post(url)
            .set("X-Tableau-Auth", auth)
            .set("Content-Type", "application/json")
            .set("Accept", "application/json")
            .type("json")
            .send(data)).body;
    }
    async deleteTableau(url, auth) {
        return (await superagent
            .delete(url)
            .set("X-Tableau-Auth", auth)
            .set("Content-Type", "application/json")
            .set("Accept", "application/json")
            .send()).body;
    }
};
TableauRequestSender = __decorate([
    (0, inversify_1.injectable)()
], TableauRequestSender);
exports.TableauRequestSender = TableauRequestSender;
//# sourceMappingURL=tableau-superagent.js.map